$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 DatastreamProjectsLocationsFetchStaticIpsRequest export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- name
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  name:
    description: |-
      The resource name for the location for which static IPs should be
      returned. Must be in the format `projects/*/locations/*`.
    type: string
  pageSize:
    description: Maximum number of Ips to return, will likely not be specified.
    type: integer
  pageToken:
    description: |-
      A page token, received from a previous `ListStaticIps` call. will likely
      not be specified.
    type: string
